# CMSIS-DSP: Globals

| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- a
- b
- c
- d
- e
- f
- g
- i
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - d -

- arm_dct4_f32() : arm_dct4_f32.c , arm_math.h
- arm_dct4_init_f32() : arm_dct4_init_f32.c , arm_math.h
- arm_dct4_init_q15() : arm_dct4_init_q15.c , arm_math.h
- arm_dct4_init_q31() : arm_dct4_init_q31.c , arm_math.h
- arm_dct4_q15() : arm_dct4_q15.c , arm_math.h
- arm_dct4_q31() : arm_dct4_q31.c , arm_math.h
- arm_dot_prod_f32() : arm_dot_prod_f32.c , arm_math.h
- arm_dot_prod_q15() : arm_dot_prod_q15.c , arm_math.h
- arm_dot_prod_q31() : arm_dot_prod_q31.c , arm_math.h
- arm_dot_prod_q7() : arm_dot_prod_q7.c , arm_math.h
- DAMAGES() : license.txt
- DELTA : arm_variance_example_f32.c , arm_sin_cos_example_f32.c , ARM/arm_dotproduct_example_f32.c , GCC/arm_convolution_example_f32.c , ARM/arm_convolution_example_f32.c , GCC/arm_dotproduct_example_f32.c
- DELTA_COEFF : arm_signal_converge_example_f32.c
- DELTA_ERROR : arm_signal_converge_example_f32.c
- DELTA_Q15 : arm_math.h
- DELTA_Q31 : arm_math.h
- DIRECT : license.txt
- doBitReverse : ARM/arm_fft_bin_example_f32.c , GCC/arm_fft_bin_example_f32.c